import { Pipe, PipeTransform } from '@angular/core';
import { CommonService } from '../../services/common/common.service';

@Pipe({
  name: 'keys'
})
export class KeysPipe implements PipeTransform {

  constructor(
    public cs: CommonService
  ) {

  }

  transform(obj: any, args?: any): any[] {
    return this.cs.keysInObject(obj);
  }

}
